/*****************************************************************************************************************
Written by Artur Araujo
April-June 2016

artur.stat@gmail.com

while working for the
Luxembourg Institute of Health
on the IDEAL project

http://www.ideal.rwth-aachen.de/
*****************************************************************************************************************/

* Log current folder ;
%xlog(cd);

* Determine path to script ;
%let ScriptDir=%sysfunc(
	tranwrd(
		%sysget(SAS_EXECFILEPATH),
		%sysget(SAS_EXECFILENAME),
	)
);

* Set current folder ;
x cd "&ScriptDir";

* Log current folder ;
%xlog(cd);

* Define local libraries ;
libname NORMAL "..\library\normal";

/*****************************************************************************************************************
Programs for
Araujo, Artur, 2018, Statistical Analysis of Series of N-of-1 Trials Using SAS

Chapter 6: Printing the data
*****************************************************************************************************************/

/*****************************************************************************************************************
Program 6.1: Printing the first observations of a dataset using SQL
*****************************************************************************************************************/

title "First six observations of NORMAL.ndata";
proc sql outobs=6;
	select *
	from NORMAL.ndata;
quit;

/*****************************************************************************************************************
Program 6.2: Selecting observations from a dataset using SQL
*****************************************************************************************************************/

title "Observations from patients 11 and 12 in NORMAL.ndata";
proc sql;
	select *
	from NORMAL.ndata
	where Patient ge 11;
quit;

/*****************************************************************************************************************
Program 6.3: Describing a SAS dataset
*****************************************************************************************************************/

title "Contents of NORMAL.ndata";
proc contents data=NORMAL.ndata varnum;
run;

title; * clear all titles ;
