/*****************************************************************************************************************
Written by Artur Araujo
April-June 2016

artur.stat@gmail.com

while working for the
Luxembourg Institute of Health
on the IDEAL project

http://www.ideal.rwth-aachen.de/
*****************************************************************************************************************/

* Log current folder ;
%xlog(cd);

* Determine path to script ;
%let ScriptDir=%sysfunc(
	tranwrd(
		%sysget(SAS_EXECFILEPATH),
		%sysget(SAS_EXECFILENAME),
	)
);

* Set current folder ;
x cd "&ScriptDir";

* Log current folder ;
%xlog(cd);

* Define local libraries ;
libname NORMAL "..\library\normal";

/*****************************************************************************************************************
Programs for
Araujo, Artur, 2018, Statistical Analysis of Series of N-of-1 Trials Using SAS

Chapter 9: A summary measures approach
*****************************************************************************************************************/

/*****************************************************************************************************************
Program 9.1: Performing the summary measures approach
*****************************************************************************************************************/

title "Summary measures approach for balanced data";
proc ttest
		data=NORMAL.sddata
		alpha=0.05
		dist=normal
		h0=0
		sides=2
		ci=none
		plots=none;
	var meanY;
run;

title; * clear all titles ;
